org.eclnt.jsfserver.elements.componentnodes

## Class CLIENTFILEPOLLERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.CLIENTFILEPOLLERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class CLIENTFILEPOLLERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CLIENTFILEPOLLERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CLIENTFILEPOLLERNode` | `bindActionListener(IActionListenerDelegation value)`
    `CLIENTFILEPOLLERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `CLIENTFILEPOLLERNode` | `bindComment(IDynamicContentBindingObject value)`
    `CLIENTFILEPOLLERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `CLIENTFILEPOLLERNode` | `bindFiledirectory(IDynamicContentBindingObject value)`
    `CLIENTFILEPOLLERNode` | `bindFileextensions(IDynamicContentBindingObject value)`
    `CLIENTFILEPOLLERNode` | `bindPosttransferbehavior(IDynamicContentBindingObject value)`
    `CLIENTFILEPOLLERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `CLIENTFILEPOLLERNode` | `bindScanduration(IDynamicContentBindingObject value)`
    `CLIENTFILEPOLLERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `CLIENTFILEPOLLERNode` | `setActionListener(java.lang.String value)`
    `CLIENTFILEPOLLERNode` | `setAdapterbinding(java.lang.String value)`
    `CLIENTFILEPOLLERNode` | `setAttributemacro(java.lang.String value)`
    `CLIENTFILEPOLLERNode` | `setComment(java.lang.String value)`
    `CLIENTFILEPOLLERNode` | `setConfiginfo(java.lang.String value)`
    `CLIENTFILEPOLLERNode` | `setFiledirectory(java.lang.String value)`
    `CLIENTFILEPOLLERNode` | `setFileextensions(java.lang.String value)`
    `CLIENTFILEPOLLERNode` | `setId(java.lang.String value)`
    `CLIENTFILEPOLLERNode` | `setPosttransferbehavior(java.lang.String value)`
    `CLIENTFILEPOLLERNode` | `setReference(java.lang.String value)`
    `CLIENTFILEPOLLERNode` | `setRendered(boolean value)`
    `CLIENTFILEPOLLERNode` | `setRendered(java.lang.String value)`
    `CLIENTFILEPOLLERNode` | `setScanduration(int value)`
    `CLIENTFILEPOLLERNode` | `setScanduration(java.lang.String value)`
    `CLIENTFILEPOLLERNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CLIENTFILEPOLLERNode

          public CLIENTFILEPOLLERNode()

  - ### Method Detail

    - #### setId

          public CLIENTFILEPOLLERNode setId(java.lang.String value)

    - #### setActionListener

          public CLIENTFILEPOLLERNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public CLIENTFILEPOLLERNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public CLIENTFILEPOLLERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public CLIENTFILEPOLLERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public CLIENTFILEPOLLERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public CLIENTFILEPOLLERNode setComment(java.lang.String value)

    - #### bindComment

          public CLIENTFILEPOLLERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public CLIENTFILEPOLLERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public CLIENTFILEPOLLERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFiledirectory

          public CLIENTFILEPOLLERNode setFiledirectory(java.lang.String value)

    - #### bindFiledirectory

          public CLIENTFILEPOLLERNode bindFiledirectory(IDynamicContentBindingObject value)

    - #### setFileextensions

          public CLIENTFILEPOLLERNode setFileextensions(java.lang.String value)

    - #### bindFileextensions

          public CLIENTFILEPOLLERNode bindFileextensions(IDynamicContentBindingObject value)

    - #### setPosttransferbehavior

          public CLIENTFILEPOLLERNode setPosttransferbehavior(java.lang.String value)

    - #### bindPosttransferbehavior

          public CLIENTFILEPOLLERNode bindPosttransferbehavior(IDynamicContentBindingObject value)

    - #### setReference

          public CLIENTFILEPOLLERNode setReference(java.lang.String value)

    - #### setRendered

          public CLIENTFILEPOLLERNode setRendered(java.lang.String value)

    - #### bindRendered

          public CLIENTFILEPOLLERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public CLIENTFILEPOLLERNode setRendered(boolean value)

    - #### setScanduration

          public CLIENTFILEPOLLERNode setScanduration(java.lang.String value)

    - #### bindScanduration

          public CLIENTFILEPOLLERNode bindScanduration(IDynamicContentBindingObject value)

    - #### setScanduration

          public CLIENTFILEPOLLERNode setScanduration(int value)

    - #### setStylevariant

          public CLIENTFILEPOLLERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public CLIENTFILEPOLLERNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.